Download icon

Fibre Channel Utility 2.1.4

Provides the ability to configure the Apple Fibre Channel PCI Cards including the Apple Dual- and Quad-Channel 4Gb Fibre Channel Card.

For Mac OS X 10.4 to 10.4.7, you will need Fibre Channel Utility 2.0
*note - this will not configure the Apple Dual- and Quad-Channel 4Gb Fibre Channel Card.

For Mac OS X 10.3 users you will need Fibre Channel Utility 1.0.3
*note - this will not configure the Apple Dual- and Quad-Channel 4Gb Fibre Channel Card.

File Size: 500KB

System Requirements Supported Languages